body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    background-color:  #fffff;
    flex-direction: column;
    height: 100%;
   
   
}

header {
    background-color:black ;
    color: white;
    padding: 0;
    text-align: center;
    font-size: 18px;
    opacity:0.9;
}


.lido {
    color: #ff892b ; /* Lido en noir */
    font-weight: bold;
    
}

.select {
    color:#ff892b ; /* Select en bleu */
    font-weight: bold;
}

 .acceuil-icon {
     position: absolute;
     text-decoration: none;
     top: 10px;
     left: 7px;
     color: white;
 }



#produits-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 0;
    position: relative;
    left: 0;
    right: 0;
    text-align: center;
}

.produit {
    background: transparent;
    border-radius: 8px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    padding: 3px;
    text-align: center;
    margin: 3px; /* espace entre les produits */
    width: calc(25% - 12px); /* par défaut : 4 produits par ligne */
    box-sizing: border-box;
}

.produit img {
    width: 100%;
    height: auto;
    border-radius: 8px;
}

/* Tablette : 3 produits par ligne */
@media (max-width: 1024px) {
    .produit {
        width: calc(33.33% - 12px);
    }
}

/* Mobile : 2 produits par ligne */
@media (max-width: 600px) {
    .produit {
        width: calc(50% - 12px);
    }
}






.produit h3 {
    font-size: 18px;
    margin: 10px 0;
}



.prix {
    display: flex;
    justify-content: center; /* Aligner les prix horizontalement */
    align-items: center;
    gap: 10px; /* Espace entre les prix */
    margin-top: 10px; /* Espacement entre l'image et les prix */
}



.prix-original {
    text-decoration: line-through; /* Barrer le prix original */
    color: red;
    font-size: 16px;
}

.prix-actuel {
    color: green;
    font-size: 16px;
    font-weight: bold;
}

footer {
   position: relative;
   left: 0;
   bottom: 0;
   right: 0;
   text-align:center;
    background-color: black;
    opacity: 0.9;
}
footer p {
    color: white;
    text-align:center;
    padding: 10px 5px;
}

/* animation avant chargement des produits */
#loader {
  border: 6px solid #f3f3f3;
  border-top: 6px solid #3498db;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
  margin: 50px auto;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/*catégorie */
#categories-container {
    position: relative;
    overflow-x: auto;
    white-space: nowrap;
    background-color: white ;
    padding: 0px 5px;
    gap: 10px;
    display: flex;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

#categories-container::-webkit-scrollbar {
    display: none;
}

.categorie-btn {
    padding: 6px 12px;
    background-color: black ;
    color: white;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    transition: background-color 0.3s;
    font-size: 18px;
}

.categorie-btn:hover {
    background-color: #129ededf;
}




#touslesdetails {
  margin: 10px auto;     /* centre horizontalement */
  padding: 3px;
  border: 1px solid #fffff;
  border-radius: 12px;
  background: #fffff;
  max-width: 500px;      /* largeur max sur PC */
  width: 100%;           /* occupe toute la largeur sur mobile */
  box-sizing: border-box;/* pour inclure les bordures dans la largeur */
}


